## libdap 3.9.3

=== VCPP/Makefile ===
# Makefile for libdap (under VC++ on win32)

# Source code, samples, docs and target build areas
OBJDIR			= .\objects
SRCDIR			= ..
DOCDIR			= .\doc
SAMPLEDIR		= .\sample

# This is the prepackaging area.  Contents should never be on the build path.
# Fill in the VERSION (e.g., "= 3.7.3") to generate a final, version stamped
# release of the product.
PRODUCT			= libdap
VERSION			=
PKGDIR			= ..\..\prepkg\opendap\$(PRODUCT)$(VERSION)
PKGLIBDIR		= $(PKGDIR)\lib
PKGDLLDIR		= $(PKGDIR)\dll
PKGBINDIR		= $(PKGDIR)\bin
PKGETCDIR		= $(PKGDIR)\etc
PKGINCDIR		= $(PKGDIR)\include
PKGSAMPLEDIR	= $(PKGDIR)\sample

# This is the installation area.  It should never be on the build path either
# (except when building other, non-core components).
INSTALLDIR		= ..\..
INSTALLLIBDIR	= $(INSTALLDIR)\lib
INSTALLDLLDIR	= $(INSTALLDIR)\dll
INSTALLBINDIR	= $(INSTALLDIR)\bin
INSTALLETCDIR	= $(INSTALLDIR)\etc
INSTALLINCDIR	= $(INSTALLDIR)\include

# Headers only come from the source distribution itself.  Neither the
# Prepackaging or installation areas should be on any path for building
# the OPeNDAP Core.
INCLUDEDIR		= $(SRCDIR)

# Compiler, Linker
CC		= cl
LINK	= link

# Compiler tools
LEX	= flex
YACC	= bison

# We suppress #line directives under win32 to prevent warnings resulting
# when a "\" followed by some char is interpreted as an escape sequence.
YACCFLAGS	= --no-lines -d -v

# MT = Static Link Multi-Threaded Model
# MD = Dynamic Link Multi-Threaded DLL Model

# Setup compiler flags
MTCFLAGS	= /MT /D HAVE_PTHREAD_H
MDCFLAGS	= /MD /D HAVE_PTHREAD_H
CFLAGS		= /nologo /W0 /GR /EHsc /c

# Setup linker flags for libdap
DAP_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
DAP_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdap.def /map /fixed:NO /base:0x06000000 /NODEFAULTLIB:LIBCMT.lib

# Setup linker flags for libdapclient
CLIENT_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
CLIENT_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdapclient.def /map /fixed:NO /base:0x07000000 /NODEFAULTLIB:LIBCMT.lib

# Setup linker flags for libdapserver
SERVER_MTLFLAGS	= -lib /nologo -libpath:$(OBJDIR)\MT
SERVER_MDLFLAGS	= /nologo -libpath:$(OBJDIR)\MD /dll /def:libdapserver.def /map /fixed:NO /base:0x08000000 /NODEFAULTLIB:LIBCMT.lib

# Setup link libraries for libdap
DAP_MTLIBS		=
DAP_MDLIBS		= libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup link libraries for libdapclient
CLIENT_MTLIBS	=
CLIENT_MDLIBS	= libdapMD.lib libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup link libraries for libdapserver
SERVER_MTLIBS	=
SERVER_MDLIBS	= libdapMD.lib libdirent.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup linker flags for executables
EMTLFLAGS		= /nologo /libpath:$(OBJDIR)\MT /NODEFAULTLIB:MSVCRT.lib
EMDLFLAGS		= /nologo /libpath:$(OBJDIR)\MD /NODEFAULTLIB:LIBCMT.lib

# Setup link libraries for executables
EMTLLIBS		= libdapclientMT.lib libdapserverMT.lib libdapMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib
EMDLLIBS		= libdapclientMD.lib libdapserverMD.lib libdapMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup compiler includes and defines
INCS		= /I . /I .. /I ..\GNU /I ..\gl /I $(INCLUDEDIR)
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN /D HAVE_CONFIG_H
CPPFLAGS	= $(DEFS) $(INCS)

default:
	@echo "usage: nmake all; nmake install; nmake package"

all:	setup modelMT modelMD

modelMT:
	@-md $(OBJDIR)\MT
	@echo "Building MT model libraries for the Core"
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(DAP_MTLFLAGS)" LIBS="$(DAP_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapMT.lib
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(CLIENT_MTLFLAGS)" LIBS="$(CLIENT_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapclientMT.lib
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(SERVER_MTLFLAGS)" LIBS="$(SERVER_MTLIBS)" OBJDIR=$(OBJDIR)\MT libdapserverMT.lib

	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT getdap
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT deflate
	@echo "MT model libraries for the Core are complete"

modelMD:
	@-md $(OBJDIR)\MD
	@echo "Building MD model libraries for the Core"
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(DAP_MDLFLAGS)" LIBS="$(DAP_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapMD.dll	
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(CLIENT_MDLFLAGS)" LIBS="$(CLIENT_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapclientMD.dll
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(SERVER_MDLFLAGS)" LIBS="$(SERVER_MDLIBS)" OBJDIR=$(OBJDIR)\MD libdapserverMD.dll

	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD getdap
	@nmake /NOLOGO CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD deflate
	@echo "MD model libraries for the Core are complete"

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .c .cc .exe

# Rules for library objects, both the .c and .cc's are C++
{$(SRCDIR)}.c{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

# Rule for linking executables
{$(OBJDIR)}.obj{$(OBJDIR)}.exe:
	$(LINK) $(LFLAGS) /out:$@ $< $(LIBS)

GNU_OBJS = $(OBJDIR)\GetOpt.obj \
		$(OBJDIR)\GNURegex.obj \
		$(OBJDIR)\regex.obj \
		$(OBJDIR)\strcasecmp.obj \
		$(OBJDIR)\strncasecmp.obj \
		$(OBJDIR)\strnlen1.obj \
		$(OBJDIR)\localcharset.obj

GRAM_OBJS = $(OBJDIR)\lex.das.obj \
		$(OBJDIR)\das.tab.obj \
		$(OBJDIR)\lex.dds.obj \
		$(OBJDIR)\dds.tab.obj \
		$(OBJDIR)\lex.ce_expr.obj \
		$(OBJDIR)\ce_expr.tab.obj \
		$(OBJDIR)\lex.Error.obj \
		$(OBJDIR)\Error.tab.obj

DAP_OBJS = $(GRAM_OBJS) \
		$(OBJDIR)\AttrTable.obj \
		$(OBJDIR)\ConstraintEvaluator.obj \
		$(OBJDIR)\DAS.obj \
		$(OBJDIR)\DDS.obj \
		$(OBJDIR)\DataDDS.obj \
		$(OBJDIR)\DDXParser.obj \
		$(OBJDIR)\BaseType.obj \
		$(OBJDIR)\Byte.obj \
		$(OBJDIR)\Error.obj \
		$(OBJDIR)\Int32.obj \
		$(OBJDIR)\Float64.obj \
		$(OBJDIR)\Str.obj \
		$(OBJDIR)\Url.obj \
		$(OBJDIR)\Vector.obj \
		$(OBJDIR)\Array.obj \
		$(OBJDIR)\Structure.obj \
		$(OBJDIR)\Sequence.obj \
		$(OBJDIR)\Grid.obj \
		$(OBJDIR)\UInt32.obj \
		$(OBJDIR)\Int16.obj \
		$(OBJDIR)\UInt16.obj \
		$(OBJDIR)\Float32.obj \
		$(OBJDIR)\GeoConstraint.obj \
		$(OBJDIR)\GridGeoConstraint.obj \
		$(OBJDIR)\Constructor.obj \
		$(OBJDIR)\BaseTypeFactory.obj \
		$(OBJDIR)\SignalHandler.obj \
		$(OBJDIR)\InternalErr.obj \
		$(OBJDIR)\util.obj \
		$(OBJDIR)\xdrutil_ppc.obj \
		$(OBJDIR)\XDRUtils.obj	 \
		$(OBJDIR)\XDRFileMarshaller.obj	\
		$(OBJDIR)\XDRFileUnMarshaller.obj	\
		$(OBJDIR)\XDRStreamMarshaller.obj	 \
		$(OBJDIR)\parser-util.obj \
		$(OBJDIR)\escaping.obj \
		$(OBJDIR)\Clause.obj \
		$(OBJDIR)\RValue.obj \
		$(OBJDIR)\gse.tab.obj \
		$(OBJDIR)\ce_functions.obj \
		$(OBJDIR)\GSEClause.obj \
		$(OBJDIR)\lex.gse_.obj \
		$(OBJDIR)\ArrayGeoConstraint.obj \
		$(OBJDIR)\DapIndent.obj

CLIENT_OBJS = $(OBJDIR)\RCReader.obj \
		$(OBJDIR)\Connect.obj \
		$(OBJDIR)\HTTPConnect.obj \
		$(OBJDIR)\HTTPCache.obj \
		$(OBJDIR)\HTTPCacheTable.obj \
		$(OBJDIR)\AISResources.obj \
		$(OBJDIR)\AISDatabaseParser.obj \
		$(OBJDIR)\AISMerge.obj \
		$(OBJDIR)\AISConnect.obj \
		$(OBJDIR)\util_mit.obj \
		$(OBJDIR)\ResponseTooBigErr.obj

SERVER_OBJS = $(OBJDIR)\DODSFilter.obj \
		$(OBJDIR)\Ancillary.obj \
		$(OBJDIR)\cgi_util.obj

# Convenience dependancies
libdapMT.lib:		$(OBJDIR)\libdapMT.lib
libdapclientMT.lib:	$(OBJDIR)\libdapclientMT.lib
libdapserverMT.lib:	$(OBJDIR)\libdapserverMT.lib
libdapMD.dll:		$(OBJDIR)\libdapMD.dll
libdapclientMD.dll:	$(OBJDIR)\libdapclientMD.dll
libdapserverMD.dll:	$(OBJDIR)\libdapserverMD.dll

getdap:		$(OBJDIR)\getdap.exe
deflate:	$(OBJDIR)\deflate.exe

# Build the static-link core libraries
$(OBJDIR)\libdapMT.lib: $(DAP_OBJS) $(GNU_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	
$(OBJDIR)\libdapserverMT.lib: $(SERVER_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)

$(OBJDIR)\libdapclientMT.lib: $(CLIENT_OBJS)
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	
############################################################################
# The song and dances before the link lines below are to get a legitimate
# module export definition (.def) for the dll's.  We use lib, dumpbin and
# a 3rd-party awk to do this automatically in a rather round-about way.
#
# The $$ reduces to just $ as make evaluates that.  The \? to awk tells it
# to be looking for a literal "?".  A textual description of the awk command
# is as follows: "Find all second fields (2nd whitespace delimited groups of
# characters) in the text lines that begin with ? and do not begin with ??_
# (i.e., all C++ code originating methods minus the destructors which should
# not be exposed do to how dll's work) and output those in the module export
# definition file."  These are the methods that will be exposed to programs
# that use the dll in question.  C code references begins with just "_" and
# we need not expose those.
############################################################################
	
# Build the dynamic-link core libraries
$(OBJDIR)\libdapMD.dll: $(DAP_OBJS) $(GNU_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdap.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdap.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdap.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

$(OBJDIR)\libdapclientMD.dll: $(CLIENT_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdapclient.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdapclient.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdapclient.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

$(OBJDIR)\libdapserverMD.dll: $(SERVER_OBJS)
	@lib /NOLOGO /out:$(OBJDIR)\tmp.lib $** > $(OBJDIR)\devnull
	@dumpbin /OUT:$(OBJDIR)\tmp.def /linkermember:2 $(OBJDIR)\tmp.lib > $(OBJDIR)\devnull
	@echo EXPORTS > libdapserver.def
	@gawk "{ if ($$2 ~ /^[\?].*/ && $$2 !~ /^\?\?_.*/) print $$2 }" < $(OBJDIR)\tmp.def >> libdapserver.def
	$(LINK) $(LFLAGS) /out:$@ $** $(LIBS)
	@del libdapserver.def $(OBJDIR)\tmp.lib $(OBJDIR)\tmp.def $(OBJDIR)\devnull

# Libdap with the gram objs
$(OBJDIR)\lex.das.obj					: $(SRCDIR)\lex.das.cc
$(OBJDIR)\das.tab.obj					: $(SRCDIR)\das.tab.cc
$(OBJDIR)\lex.dds.obj					: $(SRCDIR)\lex.dds.cc
$(OBJDIR)\dds.tab.obj					: $(SRCDIR)\dds.tab.cc
$(OBJDIR)\lex.ce_expr.obj				: $(SRCDIR)\lex.ce_expr.cc
$(OBJDIR)\ce_expr.tab.obj				: $(SRCDIR)\ce_expr.tab.cc
$(OBJDIR)\lex.Error.obj					: $(SRCDIR)\lex.Error.cc
$(OBJDIR)\Error.obj						: $(SRCDIR)\Error.cc
$(OBJDIR)\Error.tab.obj					: $(SRCDIR)\Error.tab.cc
$(OBJDIR)\AttrTable.obj					: $(SRCDIR)\AttrTable.cc
$(OBJDIR)\ConstraintEvaluator.obj 		: $(SRCDIR)\ConstraintEvaluator.cc
$(OBJDIR)\DapIndent.obj					: $(SRCDIR)\DapIndent.cc
$(OBJDIR)\DAS.obj						: $(SRCDIR)\DAS.cc
$(OBJDIR)\DDS.obj						: $(SRCDIR)\DDS.cc
$(OBJDIR)\DataDDS.obj					: $(SRCDIR)\DataDDS.cc
$(OBJDIR)\DDXParser.obj					: $(SRCDIR)\DDXParser.cc
$(OBJDIR)\BaseType.obj					: $(SRCDIR)\BaseType.cc
$(OBJDIR)\Byte.obj						: $(SRCDIR)\Byte.cc
$(OBJDIR)\Int32.obj						: $(SRCDIR)\Int32.cc
$(OBJDIR)\Float64.obj					: $(SRCDIR)\Float64.cc
$(OBJDIR)\GeoConstraint.obj				: $(SRCDIR)\GeoConstraint.cc
$(OBJDIR)\GridGeoConstraint.obj			: $(SRCDIR)\GridGeoConstraint.cc
$(OBJDIR)\Str.obj						: $(SRCDIR)\Str.cc
$(OBJDIR)\Url.obj						: $(SRCDIR)\Url.cc
$(OBJDIR)\Vector.obj					: $(SRCDIR)\Vector.cc
$(OBJDIR)\Array.obj						: $(SRCDIR)\Array.cc
$(OBJDIR)\Structure.obj					: $(SRCDIR)\Structure.cc
$(OBJDIR)\Sequence.obj					: $(SRCDIR)\Sequence.cc

=== debian/changelog ===
libdap (3.9.3-6) unstable; urgency=low

  * Acknowledge NMU with Thanks. Closes: #575894.
  * Supply dap-config in -dev package. Closes: #576809.
  * Standards-Version now 3.8.4. No changes required. 
  * Moved to source format 3.0, removed quilt dependency.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Apr 2010 20:44:03 +0100

libdap (3.9.3-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed debian/copyright: OpenNDAP is LGPL 2.1 not GPL-2 as stated 
    in that file.
    (closes: #575894)
  * Added minimal version to quilt build-dep to make lintian happy.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 03 Apr 2010 23:34:07 +0200

libdap (3.9.3-5) unstable; urgency=low

  * Fix build rule to enable quilt patches. Closes: #547178. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Oct 2009 15:23:33 +0100

libdap (3.9.3-4) unstable; urgency=low

  * libtool now needed in Build-Depends. Closes: #550024.		 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2009 14:51:29 +0100

libdap (3.9.3-3) unstable; urgency=low

  * Delete out-of-date config.sub, config.guess and autoreconf on build.
    Closes: #548927. 
  * Patch from Martin MichlMayer to fix FTBFS with g++-4.4. Closes: #547178.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Oct 2009 17:09:46 +0100

libdap (3.9.3-2) unstable; urgency=low

  * Confllict: libdap-dev and libdnet-dev, as they have an identical lib.
    Closes: #544388.
  * Added libxml2-dev, libcurl4-gnutls-dev to Depends: libdap-dev, for 
    building static library with libdap.pc
  * Acknowledge OPeNDAP, Inc. in debian/copyright.
  * Add README.source

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Sep 2009 17:27:57 +0100

libdap (3.9.3-1) unstable; urgency=low

  * Initial release. (Closes: #541074).

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Aug 2009 14:09:39 +0100

=== debian/control ===
Source: libdap
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: zlib1g-dev, debhelper (>= 7.0.50~), pkg-config, libxml2-dev, libcurl4-gnutls-dev , dejagnu, doxygen, graphviz, 
 autoconf, automake, libtool
Build-Conflicts: autoconf2.13
Standards-Version: 3.8.4
Homepage: http://www.opendap.org/

Package: libdap10
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open-source Project for a Network Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well 
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits. 
 .
 The DAP is a NASA community standard; here is the offical link to the 
 specification.
 .
 With OPeNDAP software, you access data using a URL, just like a URL you
 would use to access a web page. However, before you request any data, 
 you need to know how to request it in a form your browser can handle. 
 OPeNDAP data is stored in binary form, and by default, it is 
 transmitted that way, too. 

Package: libdap-bin
Architecture: any
Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Description: Binaries for the  libdap Data Access Protocol library
 10OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains the 'getdap' client binary.

Package: libdap-dev
Section: libdevel
Architecture: any
Conflicts: libdnet-dev
Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Recommends: pkg-config, libxml2-dev, libcurl4-gnutls-dev
Description: Development files (headers and static libraries) for libdap
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains header files, pkgconfig files and static libraries
 for DAP.

Package: libdap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for the libdap Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS := --with-gnu-ld

# The magic debhelper rule:
%:
	dh $@

override_dh_auto_configure:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	autoreconf -fi
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

clean:
	dh clean
	rm -rf docs

## libdap 3.11.1

=== debian/changelog ===
libdap (3.11.1-9) unstable; urgency=low

  * Rewrite dap-config to call pkg-config, to work correctly with 
    Multiarch. Now depend rather than recommend pkg-config.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Sep 2011 05:16:35 +0100

libdap (3.11.1-8) unstable; urgency=low

  * Remove unnecessary ${shlibs:Depends} from -dev package.
  * Add -Wl,--as-needed to remove unneeded dependencies 
  * Multi-Arch enabled. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 18:47:11 +0100

libdap (3.11.1-7) unstable; urgency=low

  * Fix dependencies of libdap-dev. Add Dependency on uuid-dev. Closes: #640260.
  * Fix missing dependency in libdapclient.pc 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 05 Sep 2011 16:40:31 +0100

libdap (3.11.1-6) unstable; urgency=low

  * libdap-dev: Add dependencies on libdapserver, libdapclient.
    Closes: #640226.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2011 16:02:44 +0100

libdap (3.11.1-5) unstable; urgency=low

  * Really upload to unstable!.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2011 14:29:33 +0100

libdap (3.11.1-4) experimental; urgency=low

  * Upload to unstable. Closes: #639992. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Sep 2011 13:55:41 +0100

libdap (3.11.1-3) experimental; urgency=low

  * Uploato unstable; for libdapcient10, libdapserver7, change
    Conflicts: to Breaks,add Replaces: libdap10

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Aug 2011 05:58:06 +0100

libdap (3.11.1-2) experimental; urgency=low

  * Incompatible library change libdap.so.10 becomes libdap.so.11.
    As the libraries within it are not changing SONAMES in sync, libdap10
   has been split into libdap11, libdapclient3, libdapserver7. Closes: #638294. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Aug 2011 16:45:44 +0100

libdap (3.11.1-1) unstable; urgency=low

  * New upstream release.
  * SONAME bump as libdap::AISConnect symbol dropped. Closes: #638022.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Aug 2011 23:00:06 +0100

libdap (3.10.2-2) unstable; urgency=low

  * New B-D uuid-dev. Closes: #637760. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Aug 2011 11:26:01 +0100

libdap (3.10.2-1) unstable; urgency=low

  * New upstream release. Closes: #575090.
    Removed patches: gcc44.patch
    Build-Depend on flex, bison now needed.
  * Standards-Version: 3.9.3. No changes required.
  * Remove <curl/types.h> from HTTPConnect.h; deprecated and breaks
    other packages. Closes: #637682.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Aug 2011 20:01:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,19 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, debhelper (>= 7.0.50~), pkg-config, libxml2-dev, libcurl4-gnutls-dev , dejagnu, doxygen, graphviz, 
- autoconf, automake, libtool
+ autoconf, automake, libtool, flex, bison, uuid-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://www.opendap.org/
 
-Package: libdap10
+Package: libdap11
 Section: libs
+Replaces: libdap10
+Conflicts: libdap10
+Breaks: libdap10
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Open-source Project for a Network Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
@@ -28,11 +33,47 @@
  OPeNDAP data is stored in binary form, and by default, it is 
  transmitted that way, too. 
 
+Package: libdapclient3
+Section: libs
+Replaces: libdap10
+Breaks: libdap10
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Description: Client library for the Network Data Access Protocol
+ OPeNDAP provides software that allows you to access data over the internet,
+ from programs that weren't originally designed for that purpose, as well
+ as some that were. While OPeNDAP is the original developer of the Data Access
+ protocol which its software uses, many other groups have adopted DAP
+ and provide compatible clients, servers and software development kits.
+ .
+ This package provides the client library libdapclient3.
+
+Package: libdapserver7
+Section: libs
+Breaks: libdap10
+Replaces: libdap10
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Description: Server library for the Network Data Access Protocol
+ OPeNDAP provides software that allows you to access data over the internet,
+ from programs that weren't originally designed for that purpose, as well
+ as some that were. While OPeNDAP is the original developer of the Data Access
+ protocol which its software uses, many other groups have adopted DAP
+ and provide compatible clients, servers and software development kits.
+ .
+ This package provides the server library libdapclient3.
+
+
 Package: libdap-bin
 Architecture: any
-Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: foreign
+Depends: libdapclient3 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
 Description: Binaries for the  libdap Data Access Protocol library
- 10OPeNDAP provides software that allows you to access data over the internet,
+ OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
  as some that were. While OPeNDAP is the original developer of the Data Access
  protocol which its software uses, many other groups have adopted DAP
@@ -44,8 +85,8 @@
 Section: libdevel
 Architecture: any
 Conflicts: libdnet-dev
-Depends: libdap10 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
-Recommends: pkg-config, libxml2-dev, libcurl4-gnutls-dev
+Multi-Arch: same
+Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# The magic debhelper rule:
%:
	dh $@


override_dh_auto_configure:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	# Patch libtool to fix as-needed brokenness. _After_ updating libtool.
	libtoolize -c -f
	autoreconf -fi
	(cd conf && patch < ../debian/as-needed.patch)
	LDFLAGS=" -Wl,--as-needed" dh_auto_configure -- --with-gnu-ld

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap11       $(LIBDIR)/libdap.so.11.3.0       $(LIBDIR)/libdap.so.11
	dh_link -p libdapclient3  $(LIBDIR)/libdapclient.so.3.1.0  $(LIBDIR)/libdapclient.so.3
	dh_link -p libdapserver7  $(LIBDIR)/libdapserver.so.7.2.0  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.11.3.0       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.3.1.0  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.2.0  $(LIBDIR)/libdapserver.so
	cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

clean:
	dh clean
	rm -rf docs

## libdap 3.12.0

=== debian/changelog ===
libdap (3.12.0-1) unstable; urgency=low

  * New upstream release.
    - No longer need curl-types-remove.patch 
  * Add debian/watch file.
  * Fix typo in hardening flags; Change  to =all,-pie ; 
    Use DEB_LDFLAGS_MAINT_APPEND. Closes: #697387.
  * Enable parallel build. Closes: #723938.
  * Depend on libcurl4-gnutls-dev | libcurl-dev. Closes: #722701.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Oct 2013 22:12:11 +0100

libdap (3.11.1-15) unstable; urgency=low

  * Avoid exit 1 in conditional in ./rules by adding echo. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jul 2013 09:24:27 +0100

libdap (3.11.1-14) unstable; urgency=low

  * Make use of libjs-jquery conditional; not always present. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jul 2013 05:01:07 +0100

libdap (3.11.1-13) unstable; urgency=low

  * Now use debhelper >=9 versioned depends.
  * Now use libjs-jquery rather than embedded copy.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2013 11:52:44 +0100

libdap (3.11.1-12) unstable; urgency=low

  * libdnet-dev no longer conflicts with libdap-dev. Closes: #694655. 
  * Standards-Version: 3.9.4. No changes required.
  * Enable hardening. Only some false alarms on unprotected fns left.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Dec 2012 09:20:52 +0000

libdap (3.11.1-11) unstable; urgency=low

  * Fix for gcc-4.7, which is stricter on including prototypes.
    Closes: #672008 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 May 2012 17:15:36 +0100

libdap (3.11.1-10) unstable; urgency=low

  * Switch to dh_autoreconf --as-needed for ltmain-as-needed instead of
    patching manually. Thanks to Iain Lane. Closes: #651285.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Dec 2011 12:59:35 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: zlib1g-dev, debhelper (>= 7.0.50~), pkg-config, libxml2-dev, libcurl4-gnutls-dev , dejagnu, doxygen, graphviz, 
- autoconf, automake, libtool, flex, bison, uuid-dev
+Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, libcurl4-gnutls-dev, dejagnu, doxygen, graphviz, dh-autoreconf (>= 4~),
+ autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://www.opendap.org/
 
 Package: libdap11
@@ -84,9 +84,8 @@
 Package: libdap-dev
 Section: libdevel
 Architecture: any
-Conflicts: libdnet-dev
 Multi-Arch: same
-Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev, uuid-dev, pkg-config
+Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -100,7 +99,7 @@
 Package: libdap-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery
 Description: Documentation for the libdap Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

# To enable all, uncomment following line
DEB_BUILD_MAINT_OPTIONS:= hardening=+all,-pie
DEB_CFLAGS_MAINT_APPEND:= -Wall -pedantic
DEB_LDFLAGS_MAINT_APPEND:= -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS
export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND
# Always do verbose.
export DH_VERBOSE=1


# The magic debhelper rule:
%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	libtoolize -c -f
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap11       $(LIBDIR)/libdap.so.11.5.0       $(LIBDIR)/libdap.so.11
	dh_link -p libdapclient3  $(LIBDIR)/libdapclient.so.3.2.0  $(LIBDIR)/libdapclient.so.3
	dh_link -p libdapserver7  $(LIBDIR)/libdapserver.so.7.5.0  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.11.5.0       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.3.2.0  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.5.0  $(LIBDIR)/libdapserver.so
	cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
 		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"

clean:
	dh clean
	rm -rf docs

=== debian/watch ===
version=3
http://www.opendap.org/download/libdap \
(?:|.*/)libdap(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## libdap 3.14.0

=== debian/changelog ===
libdap (3.14.0-4) unstable; urgency=medium

  * Move to unstable for g++5 transition. Closes: #793251

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Aug 2015 07:56:59 +0100

libdap (3.14.0-3~exp2) experimental; urgency=medium

  * Add cxxtest, cxxtest, libcppunit-dev for unit tests
  * Add XML2_LIBS to unit-tests/Makefile.am to build tests
  * Fix copyrights, move to DEP-5. Closes: #792536.
  * Add Breaks/Replaces for transition. Closes: #79568.
  * Fix links in debian/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Jul 2015 07:42:46 +0100

libdap (3.14.0-3~exp1) experimental; urgency=medium

  * Transition to g++5: Build against g++-5; 
    * libdap17 -> libdap7v5 
    * libdapclient6 -> libdapclient6v5
    * libdapserver7 -> libdapserver7v5
  * Re-enable tests. This is known to break on big-endian archs at the moment
    [Bug forwarded to upstream]
  * Add --enable-runtime-endian-check 
  * Temporarily remove docs build with doxygen as doxygen not in experimental

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Jul 2015 15:38:36 +0100

libdap (3.14.0-2) unstable; urgency=medium

  * Change Vcs-Git URL to anonscm.debian.org form 
  * Temporarily disable tests to allow libdap proceed to testing.
    3.14.0 added a new feature DMR that fails on big-endian platforms
    This is being worked on with upstream, but it is a blocker for netCDF /GCC
    transitions. So the test is being disabled for the moment.
    Closes: #790863.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2015 11:37:32 +0100

libdap (3.14.0-1) unstable; urgency=medium

  * New upstream release. New SOVERSIONS and package names:
    libdapclient3 -> libdapclient6
    libdap11 -> libdap17
  * Remove obsolete break/conflicts rules
  * Move to Standards-Version: 3.9.6
  * Use 'xz' compression
  * Refreshed patches; re-enabled all tests for the moment
  * Add B-D for libpth-dev, libssl-dev 
  * hack for Makefile/dependency bug needed in debian/rules; try to make
    twice.
  * Add Vcs-Git to debian-science.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jun 2015 14:02:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, libcurl4-gnutls-dev, dejagnu, doxygen, graphviz, dh-autoreconf (>= 4~),
- autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery
+Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, 
+ libcurl4-gnutls-dev | libcurl-dev, 
+ libcppunit-dev, cxxtest,
+ dejagnu, graphviz, dh-autoreconf (>= 4~),
+ autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://www.opendap.org/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git
 
-Package: libdap11
+Package: libdap17v5
 Section: libs
-Replaces: libdap10
-Conflicts: libdap10
-Breaks: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdap17
+Replaces: libdap17
 Description: Open-source Project for a Network Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well 
@@ -33,14 +36,14 @@
  OPeNDAP data is stored in binary form, and by default, it is 
  transmitted that way, too. 
 
-Package: libdapclient3
+Package: libdapclient6v5
 Section: libs
-Replaces: libdap10
-Breaks: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap17v5 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdapclient6
+Replaces: libdapclient6
 Description: Client library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -48,16 +51,16 @@
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits.
  .
- This package provides the client library libdapclient3.
+ This package provides the client library libdapclient6.
 
-Package: libdapserver7
+Package: libdapserver7v5
 Section: libs
-Breaks: libdap10
-Replaces: libdap10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap11 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap17v5 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Breaks: libdapserver7
+Replaces: libdapserver7
 Description: Server library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -65,13 +68,13 @@
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits.
  .
- This package provides the server library libdapclient3.
+ This package provides the server library libdapserver7
 
 
 Package: libdap-bin
 Architecture: any
 Multi-Arch: foreign
-Depends: libdapclient3 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
+Depends: libdapclient6v5 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
 Description: Binaries for the  libdap Data Access Protocol library
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -85,7 +88,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdap11 ( = ${binary:Version} ), libdapserver7 (=${binary:Version}), libdapclient3 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Depends: libdap17v5 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall -pedantic
LDFLAGS += -Wl,--as-needed

# Always do verbose.
export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	libtoolize -c -f
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes

override_dh_auto_test:
	@echo "Tests disabled for the moment. Being worked on by upstream."

override_dh_auto_build:
	# Strange bug causes lexer not to build first-time; need to make clean in subdir and restart 
	- $(MAKE)  -j1
	(cd d4_ce && $(MAKE) clean )
	$(MAKE) -j1
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap17v5       $(LIBDIR)/libdap.so.17.1.0       $(LIBDIR)/libdap.so.17
	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.0  $(LIBDIR)/libdapclient.so.6
	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.0  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.17.1.0       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.0  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.0  $(LIBDIR)/libdapserver.so
	cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
 		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"

clean:
	dh clean
	rm -rf docs

## libdap 3.15.1

=== debian/changelog ===
libdap (3.15.1-8) unstable; urgency=medium

  * Fix for G++ 6 FTBFS. Closes: #831191.
  * Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jul 2016 10:25:23 +0100

libdap (3.15.1-7) unstable; urgency=medium

  * Disable more networ, tests. Closes: #809580.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2016 16:21:36 +0000

libdap (3.15.1-6) unstable; urgency=medium

  * Disable network tests. Closes: #809580.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Jan 2016 21:55:57 +0000

libdap (3.15.1-5) unstable; urgency=medium

  * Fix FTBFS on arch-independent builds. Closes: #806057

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Nov 2015 08:23:26 +0000

libdap (3.15.1-4) unstable; urgency=medium

  * Also disable D4* unit tests

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Nov 2015 11:49:21 +0000

libdap (3.15.1-3) unstable; urgency=medium

  * Further fix to DMRTESTSUITE Makefile needed

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Nov 2015 22:47:32 +0000

libdap (3.15.1-2) unstable; urgency=medium

  * Disable DMR tests which still break on big-endian hw. (Upstream informed)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Nov 2015 14:05:52 +0000

libdap (3.15.1-1) experimental; urgency=medium

  * New upstream release
    - libdap moves from 17.1.0 -> 17.3.1, 
    - libdapclient : 6.1.0 -> 6.1.1
    - libdapserver: 7.3.0 -> 7.3.1
  * Disable HTTPCacheTest,RCReaderTest as website appears to be down
  * Re-enable docs now that doxygen available.
  * Remove obsolete patches from debian/patches directory.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 17 Oct 2015 03:41:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, debhelper (>= 9), pkg-config, libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
- libcppunit-dev, cxxtest,
+ libcppunit-dev, cxxtest, doxygen,
  dejagnu, graphviz, dh-autoreconf (>= 4~),
  autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.opendap.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall -pedantic
LDFLAGS += -Wl,--as-needed

CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
export CXXFLAGS

# Always do verbose.
export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	libtoolize -c -f
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes

override_dh_auto_build:
	# Strange bug causes lexer not to build first-time; need to make clean in subdir and restart 
	- $(MAKE)  -j1
	(cd d4_ce && $(MAKE) clean )
	$(MAKE) -j1
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap17v5       $(LIBDIR)/libdap.so.17.3.1       $(LIBDIR)/libdap.so.17
	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.1  $(LIBDIR)/libdapclient.so.6
	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.1  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.17.3.1       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.1  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.1  $(LIBDIR)/libdapserver.so
	# Allow this cp to fail on arch-independent builds
	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
 		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"

clean:
	dh clean
	rm -rf docs
